Smart Hotel EngineDeveloper API
Become a PartnerLogin

Developer API Documentation

Integrate with the Smart Hotel Engine platform. Build booking widgets, manage properties, and connect distribution channels.

REST APIJSONOAuth2 + API KeysRate Limited
API Reference
Booking Engine API
Hotel Management API
Channel Sync API
Affiliate API
Widget Embed API
Guides
Authentication
Webhooks
Rate Limits
Error Codes
SDKs
Changelog

Booking Engine API

Search hotels, check availability, create and manage bookings

Base URL: https://api.debangkok.com/api/v1/booking
GET/api/v1/booking/search

Search available hotels by location, dates, and guests

Params: city, checkIn, checkOut, adults, children
GET/api/v1/booking/hotels/:id/availability

Get room availability for a specific hotel

Params: checkIn, checkOut
POST/api/v1/booking/reserve

Create a booking reservation (holds for 15 min)

Params: hotelId, roomTypeId, checkIn, checkOut, guestInfo
POST/api/v1/booking/confirm

Confirm a reservation with payment

Params: reservationId, paymentToken
GET/api/v1/booking/booking/:ref

Retrieve booking details by reference number

Params: bookingRef
POST/api/v1/booking/cancel

Cancel an existing booking

Params: bookingRef, reason
Authentication Example
// Include your API key in the Authorization header curl -X GET "https://api.debangkok.com/api/v1/booking" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"